package sample.game.model;

import java.util.ArrayList;

import library.core.model.CoreModel;
import library.core.system.CoreImageData;

public class ExampleBox extends CoreModel{


	private ArrayList<CoreImageData> examples;

	public ExampleBox(ArrayList<CoreImageData> examples,int num, float centerX, float centerY,
			float width, float height) {
		super(examples.get(0), centerX, centerY, width, height);

		this.examples=examples;

		this.setExample(num);
	}


	/**
	 * 説明文の設定　（残り乗船人数が引数）
	 * @param num
	 */
	public void setExample(int num){
		this.setImageData(examples.get(num));
	}


}
